org.apache.maven.scm.provider.perforce.command.update

## Class PerforceHaveConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.perforce.command.update.PerforceHaveConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class PerforceHaveConsumer
    extends AbstractConsumer

Author:
  Emmanuel Venisse

### Constructor Summary

Constructors
Constructor and Description
`PerforceHaveConsumer(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine(String line)`
`String` `getHave()`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerforceHaveConsumer

    public PerforceHaveConsumer(ScmLogger logger)

### Method Detail

#### getHave

    public String getHave()
                   throws ScmException

Throws:
  `ScmException`

#### consumeLine

    public void consumeLine(String line)